! Read matrix & write to a text file

program Matrix2File

  use sep
  implicit none
  
  integer                                :: n1, n2, i1, i2
  real, dimension(:,:), allocatable      :: array
  
  call sep_init()
  
  call from_history("n1",n1)
  call from_history("n2",n2)
  
  write(0,*)'n1=',n1,'n2=',n2
  
  allocate(array(n1,n2))
  
  call sep_read(array)

  open(unit=1, file="Dat/wgstack.txt", action="write", status="replace")
  do i1=1,n1
    write(1,'(*(F14.5))') (array(i1,i2), i2=1,n2)
  end do
  close(1)
  
  call sep_close()

end program
