! Read text file & write to SEP format

program Textfile2SEPformat

  use sep
  implicit none
  
  integer                                :: n1, n2, i1, i2
  real                                   :: o1, d1, o2, d2
  real, dimension(:,:), allocatable      :: A
  
  call sep_init()
  
  call from_param("n1",n1)
  call from_param("o1",o1)
  call from_param("d1",d1)
  call from_param("n2",n2) 
  call from_param("o2",o2)
  call from_param("d2",d2)
  
  allocate(A(n1,n2))
  A = 0.

  open(unit=1, file="Dat/2Dstreaming-holes.txt", action="read")
  
  do i1=1,n1
    read(1,*) A(i1,:)
  end do
  close(1) 

  call to_history("n1",n1)
  call to_history("o1",o1)
  call to_history("d1",d1)
  call to_history("n2",n2)
  call to_history("o2",o2)
  call to_history("d2",d2)
  
  call sep_write(A)

  open(unit=1, file="Dat/2Dstreaming-interp.txt", action="read")
  
  do i1=1,n1
    read(1,*) A(i1,:)
  end do
  close(1)

  call to_history("n1",n1,"file2")
  call to_history("o1",o1,"file2")
  call to_history("d1",d1,"file2")
  call to_history("n2",n2,"file2")
  call to_history("o2",o2,"file2")
  call to_history("d2",d2,"file2")
  
  call sep_write(A,"file2")

  call sep_close()

end program
