clc
clear all
close all

A = load('Dat/wgstack.txt');
A = A/sqrt(sum(sum(A.*A)));

A = A(1:250,351:500);
s = size(A);

% Set parameters here
order = [20 20];
box = [5 5];
gamma = 0.01;
start = 125;
finish = 150;

col2interp = start+1:finish+25;
for i=start+1:finish+25
    A(:,i) = 0;
end
beta = 0.997;
[output,res,status] = streaming_AR_2D_colinterp(A,col2interp,125,order,box,gamma,beta);
beta = 1;
[output1,res1,status] = streaming_AR_2D_colinterp(A,col2interp,125,order,box,gamma,beta);

figure('units','normalized','outerposition',[0 0 1 1])
scale = [-0.004 0.004];


subplot(1,3,1), subimage(A,scale);
subplot(1,3,2), subimage(output,scale);
subplot(1,3,3), subimage(output1,scale);

dlmwrite('Dat/2Dstreaming-holes-edge.txt',A,'delimiter','\t','precision',3)
dlmwrite('Dat/2Dstreaming-extrap.txt',output,'delimiter','\t','precision',3)
dlmwrite('Dat/2Dstreaming-extrap1.txt',output1,'delimiter','\t','precision',3)

close all