%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Function to get d_tilda
function d_tilda = get_d_tilda(A,row,col,n1,n2)

s = size(A);
n_coeff = (n2-1)*n1 + ceil(n1/2) - 1;
d_tilda = zeros(n_coeff,1);

% Update box corners to fetch old data vector
row_start = row - ceil(n1/2) + 1;
col_start = col - n2 + 1;
row_end = row + floor(n1/2);
col_end = col;

% Update old data vector
count = 0;
for i2=col_start:(col_end-1)
    % Update index2 with proper handling of boundary
    index2 = i2;
    if(i2<1)
        index2 = 1;
    end

    for i1=row_start:row_end
        % Update index1 with proper handling of boundary
        index1 = i1;
        if(i1<1)
            index1 = 1;
        end
        if(i1>s(1,1))
            index1 = s(1,1);
        end

        count = count + 1;
        d_tilda(count,1) = A(index1,index2);
    end
end

index2 = col;
for i1=row_start:(row-1)
    % Update index1 with proper handling of boundary
    index1 = i1;
    if(i1<1)
        index1 = 1;
    end
    count = count + 1;
    d_tilda(count,1) = A(index1,index2);
end

return;

end